Name: pyfa
Version: 0.4.2
Release: alt3

Summary: Python fitting assistant for EVE Online

Packager: Alexey Borovskoy <alb@altlinux.org>

License: %gpl3plus
Group: Games/Other 
BuildArch: noarch
Url: http://pyfa.sourceforge.net/

Source: %name-%version.tar

BuildRequires(pre): rpm-build-licenses
BuildRequires: python-module-setuptools python-module-pygtk-libglade
BuildRequires: python-modules-sqlite3

%description
pyfa is the Python Fitting Assistant, a standalone application to create
fittings for the EVE-Online SciFi MMORPG.
The layout of pyfa heavily based on EFT, the EVE fitting tool. Although
it is a complete rewrite and replacement for EFT, the fittings are still
compatible with EFT

%prep
%setup -q

%build

%install

mkdir -p %buildroot%_datadir/pyfa
cp -r {gui,model} %buildroot%_datadir/pyfa/
cp *.py %buildroot%_datadir/pyfa/
cp *.ico %buildroot%_datadir/pyfa/
rm -f %buildroot%_datadir/pyfa/setup.py

mkdir -p %buildroot%_docdir/%name-%version
cp {README,LICENSE,README.ALT} %buildroot%_docdir/%name-%version

mkdir -p %buildroot%_bindir
install -m755 pyfa.wrapper %buildroot%_bindir/pyfa
install -m755 pyfa-download-data.wrapper %buildroot%_bindir/pyfa-download-data

%files
%_datadir/pyfa
%_docdir/%name-%version
%_bindir/*

%changelog
* Sat Oct 31 2009 Alexey Borovskoy <alb@altlinux.ru> 0.4.2-alt3
- Git version, commit 9c097758196909236673084fbfa54abca659c89d

* Sun Oct 18 2009 Alexey Borovskoy <alb@altlinux.ru> 0.4.2-alt2
- Git version, commit 174307deebf8e62a534bd22a55200dcb36d75f9b

* Mon Sep 28 2009 Alexey Borovskoy <alb@altlinux.ru> 0.4.2-alt1
- New version: 0.4.2
- Git version, commit 2991a76726c28c76592808c8b0be1ff6c82a6826

* Sun Sep 20 2009 Alexey Borovskoy <alb@altlinux.ru> 0.4.1-alt2
- Git version, commit 4ef7f8ac4388f8b072481be438952c842f125d72

* Wed Sep 16 2009 Alexey Borovskoy <alb@altlinux.ru> 0.4.1-alt1
- New version: 0.4.1
- Git version, commit 21ed740c84e4c94cceb37d1177dacb5dc5fdf737

* Mon Sep 14 2009 Alexey Borovskoy <alb@altlinux.ru> 0.4-alt4
- Git version, commit d4b89f66bdc58ca35195fc233ca66a9977470952
- Add readme file.

* Sat Sep 12 2009 Alexey Borovskoy <alb@altlinux.ru> 0.4-alt3
- Git version, commit 082757a911c3c1a4382b8b6887164a849654a25b

* Tue Sep 08 2009 Alexey Borovskoy <alb@altlinux.ru> 0.4-alt2
- Replace symlinks with wrappers

* Tue Sep 08 2009 Alexey Borovskoy <alb@altlinux.ru> 0.4-alt1
- New version: 0.4
- Based on git commit 0b18e7d5d8eb2f1fc7af66e63adbe0bd82869ba8

* Mon Sep 07 2009 Alexey Borovskoy <alb@altlinux.ru> 0.3.9-alt1
- Initial build for Sisyphus
- Git version, commit ae71e9e1cc49940e9d34c96fb40c2462426f740d

